/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.client.controls.entityreference;

import com.queplix.core.client.app.vo.EntityReferenceMeta;
import com.queplix.core.client.controls.QFormElement;
import com.queplix.core.client.controls.QFormElementController;
import com.queplix.core.client.controls.QFormElementModel;
import com.queplix.core.client.controls.QFormElementView;

/**
 * Binocular Field Control
 *
 * @author Rustem Nizamiev
 * @since 14.09.2006, 19:25:09
 */

public class QEntityReference implements QFormElement {
    public final static String ENTITY_STYLE_NAME_PREFIX = "entityreference_";

    private QEntityReferenceControllerImpl controller;
    private QEntityReferenceViewImpl view;

    private QEntityReferenceModelImpl model;

    public QEntityReference(EntityReferenceMeta meta, int layout) {
        model = new QEntityReferenceModelImpl(meta);
        view = new QEntityReferenceViewImpl(model, layout);
        controller = new QEntityReferenceControllerImpl(view, model);
    }

    public QEntityReferenceModel getModel() {
        return model;
    }

    public QEntityReferenceView getView() {
        return view;
    }

    public QFormElementModel getBaseModel() {
        return model;
    }

    public QFormElementView getBaseView() {
        return view;
    }

    public QFormElementController getBaseController() {
        return controller;
    }
}
